/[suikacvs]/test/html-webhacc/cc-style.css
Suika

Diff of /test/html-webhacc/cc-style.css

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.8 by wakaba, Mon Sep 3 14:30:46 2007 UTC revision 1.16 by wakaba, Fri Nov 23 12:08:32 2007 UTC
# Line 7  Line 7 
7    padding: 0.5em 1em;    padding: 0.5em 1em;
8  }  }
9    
10  dt, strong {  dt, strong, th {
11    font-weight: bolder;    font-weight: bolder;
12    font-family: sans-serif;    font-family: sans-serif;
13  }  }
# Line 30  h2 { Line 30  h2 {
30    font-size: 150%;    font-size: 150%;
31  }  }
32    
33  h3 {  h3, th {
34    font-weight: bolder;    font-weight: bolder;
35    font-family: sans-serif;    font-family: sans-serif;
36    font-size: 100%;    font-size: 100%;
# Line 103  q:before, q:after { Line 103  q:before, q:after {
103    font-size: 90%;    font-size: 90%;
104  }  }
105    
106  #parse-errors dd, #document-errors dd, #error-description h3 {  #dump-manifest tbody:empty {
107      display: table-caption;
108      caption-side: bottom;
109    }
110    
111    #dump-manifest tbody:empty::after {
112      content: "This cache manifest contains no oppotunistic caching namespace.";
113      font-style: italic;
114    }
115    
116    #dump-manifest dt:first-child + dt::before,
117    #dump-manifest dt:last-child::after {
118      display: block;
119      content: "This cache manifest contains no explicit entry.";
120      margin-left: 2.5em;
121      font-style: italic;
122      font-weight: normal;
123      font-family: serif;
124    }
125    
126    #dump-manifest dt:last-child::after {
127      content: "This cache manifest has an empty online whitelist.";
128    }
129    
130    #parse-errors dd, #document-errors dd, #error-description h3,
131    #result-para {
132    margin-left: 20px;    margin-left: 20px;
133    padding-left: 40px;    padding-left: 40px;
134    min-height: 32px;    min-height: 32px;
# Line 112  q:before, q:after { Line 137  q:before, q:after {
137    background-repeat: no-repeat;    background-repeat: no-repeat;
138  }  }
139    
140    #levels-table tbody th:first-child {
141      padding-left: 42px;
142      min-height: 32px;
143      background-image: url(large-stop);
144      background-position: 5px center;
145      background-repeat: no-repeat;
146      text-align: left;
147    }
148    
149  #identifiers dd, #terms dd {  #identifiers dd, #terms dd {
150    margin-left: 20px;    margin-left: 20px;
151    padding-left: 20px;    padding-left: 20px;
# Line 129  q:before, q:after { Line 163  q:before, q:after {
163    margin-right: 1em;    margin-right: 1em;
164  }  }
165    
166  #document-errors dd.should, #error-description .should h3 {  #parse-errors dd.level-s, #document-errors dd.level-s,
167    #parse-errors dd.should,
168    #document-errors dd.should, #error-description .should h3,
169    #result-para.SEE-RESULT, #levels-table #level-s th {
170      background-image: url(large-stop);
171    }
172    
173    #parse-errors dd.level-w, #document-errors dd.level-w,
174    #parse-errors dd.warning,
175    #document-errors dd.warning, #error-description .warning h3,
176    #levels-table #level-w th {
177    background-image: url(large-alert);    background-image: url(large-alert);
178  }  }
179    
180    #parse-errors dd.level-unsupported, #document-errors dd.level-unsupported,
181    #parse-errors dd.unsupported,
182  #document-errors dd.unsupported {  #document-errors dd.unsupported {
183    margin-left: 60px;    margin-left: 60px;
184    border: red 0.2em solid;    border: red 0.2em solid;
185    padding: 0.5em;    padding: 0.5em;
186  }  }
187    
188  #document-errors dd.unsupported, #error-description .unsupported h3 {  #parse-errors dd.unsupported,
189    #document-errors dd.unsupported, #error-description .unsupported h3,
190    #result-para.uncertain, #levels-table #level-unsupported th {
191    background-image: none;    background-image: none;
192  }  }
193    
194    #result-para.PASS {
195      background-image: url(ok);
196    }
197    
198  #nav-items {  #nav-items {
199    display: block;    display: block;
200    position: fixed;    position: fixed;
# Line 186  code { Line 238  code {
238    white-space: pre-wrap;    white-space: pre-wrap;
239  }  }
240    
241    .example {
242      background-color: #ececff;
243    }
244    
245    pre.example {
246      margin-left: 1em;
247      margin-right: 1em;
248      padding: 0.2em 0.5em;
249    }
250    
251    .example.bad {
252      background-color: #fff7f7;
253    }
254    
255    code.example.bad {
256      color: inherit;
257      background-color: #ffeeee;
258    }
259    
260    h3 code.example.bad {
261      color: orangered;
262      background-color: transparent;
263    }
264    
265    pre.example::before {
266      content: "Example";
267      display: block;
268      color: #b0b0ff;
269      background-color: transparent;
270      font-weight: bolder;
271      font-family: sans-serif;
272    }
273    
274    pre.example.html::before {
275      content: "HTML Example";
276    }
277    
278    pre.example.xml::before {
279      content: "XML Example";
280    }
281    
282    pre.example.manifest::before {
283      content: "Cache Manifest Example";
284    }
285    
286    pre.example.bad::before {
287      content: "Bad Example";
288      color: #ffc1c1;
289    }
290    
291    pre.example.bad.html::before {
292      content: "HTML Bad Example";
293    }
294    
295    pre.example.bad.xml::before {
296      content: "XML Bad Example";
297    }
298    
299    pre.example.bad.manifest::before {
300      content: "Cache Manifest Bad Example";
301    }
302    
303    .rfc2119 {
304      border-style: none;
305      text-transform: lowercase;
306      font-variant: small-caps;
307      font-style: normal;
308      text-decoration: none;
309      font-weight: normal;
310      font-family: sans-serif;
311    }
312    
313    #result-summary table {
314      margin-left: auto;
315      margin-right: auto;
316      border: 3px solid #800080;
317      border-collapse: collapse;
318    }
319    
320    #result-summary tbody, colgroup {
321      border: 3px solid #800080;
322    }
323    
324    #result-summary th {
325      background-color: #fff0f0;
326      color: black;
327    }
328    
329    #result-summary th, #result-summary td {
330      border: 1px solid #800080;
331      padding: 0.2em 0.5em;
332      text-align: center;
333      empty-cells: show;
334    }
335    
336    .uncertain td, p.uncertain, #level-unsupported, #level-unsupported th {
337      background-color: #e1e1ff;
338      color: black;
339    }
340    
341    .FAIL, .uncertain td.FAIL, #level-m, #level-m th {
342      background-color: #ffcece;
343      color: black;
344    }
345    
346    .SEE-RESULT, .uncertain td.SEE-RESULT, #level-s, #level-s th {
347      background-color: #e1e1ff;
348      color: black;
349    }
350    
351    .PASS, #level-w, #level-w th {
352      background-color: #ddffdd;
353      color: black;
354    }
355    
356    #result-para {
357      padding-top: 0.2em;
358      padding-bottom: 0.2em;
359      padding-right: 1em;
360    }
361    
362    /* dl.switch from WHATWG specification style sheet */
363    
364    dl.switch {
365      padding-left: 2em;
366    }
367    
368    dl.switch dt {
369      display: block;
370      text-indent: -1.5em;
371      font-weight: bolder;
372      font-family: sans-serif;
373      font-style: normal;
374    }
375    
376    dl.switch dt:before {
377      content: '\21AA';
378      padding: 0 0.5em 0 0;
379      display: inline-block;
380      width: 1em;
381      text-align: right;
382      line-height: 0.5em;
383    }
384    
385    dl.switch dt:after {
386      content: " :";
387    }
388    
389  /*  /*
390    
391  Copyright 2007 Wakaba <[email protected]>  Copyright 2007 Wakaba <[email protected]>.
392    
393  This library is free software; you can redistribute it  This library is free software; you can redistribute it
394  and/or modify it under the same terms as Perl itself.  and/or modify it under the same terms as Perl itself.

Legend:
Removed from v.1.8  
changed lines
  Added in v.1.16

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24